package com.hys.app.converter.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.dos.UserMenuDO;
import com.hys.app.model.erp.dto.UserMenuDto;
import com.hys.app.model.erp.vo.UserMenuVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

import java.util.List;

import static com.hys.app.framework.util.CollectionUtils.convertMap;

/**
 * 商品 Convert
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface UserMenuConverter {

    UserMenuDO convert(UserMenuDto request);

    UserMenuDto convert(UserMenuDO request);



    List<UserMenuVO> convert(List<UserMenuDto> list);

    WebPage<UserMenuDto> convert(WebPage<UserMenuDO> webPage);

}

